Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512579 - The UI rejects FQDNs as input to IPMI address if their depth is > 3
Summary: The UI rejects FQDNs as input to IPMI address if their depth is > 3
Keywords:
Status: POST
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 14.0 (Rocky)
Assignee: Jason E. Rist
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks: 1627870
TreeView+ depends on / blocked
 
Reported: 2017-11-13 15:08 UTC by Udi
Modified: 2019-04-08 05:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1627870 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 595847 None None None 2018-08-23 18:51:21 UTC

Description Udi 2017-11-13 15:08:30 UTC
Description of problem:
If your server's IPMI has a FQDN with more than 2 dots in the name, the UI rejects the input as invalid.

For example:
aaa.bbb.com is accepted
aaa.bbb.ccc.ddd.com is not accepted

FQDNs may be quite long in enterprizes' networks and we shouldn't limit the depth of the url.


Version-Release number of selected component (if applicable):
openstack-tripleo-validations-7.4.1-2.el7ost.noarch


How reproducible:
100%


Steps to Reproduce:
1. Go to the Nodes page.
2. Click on Register Nodes.
3. Click "Add New".
4. Write "aaa.bbb.ccc.ddd.com" in the IPMI address field.


Actual results:
The form validation rejects the input.


Expected results:
FQDNs of any length should be accepted.

Comment 5 Jason E. Rist 2018-09-11 18:00:32 UTC
Merged upstream.


Note You need to log in before you can comment on or make changes to this bug.